import request from '@/utils/request'

// 行政区域评价列表查询
export function assessArea(params) {
  return request({
    url: '/assess/supervisor',
    method: 'get',
    params
  })
}
// 行政区域评价列表导出
export function exportAssessArea(params) {
  return request({
    url: '/assess/supervisorExport',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

// 整体概况列表查询
export function assessOverview(params) {
  return request({
    url: '/assess/supervisor',
    method: 'get',
    params
  })
}
// 整体概况列表导出
export function exportAssessOverview(params) {
  return request({
    url: '/assess/supervisorExport',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}
